{% extends "base-login.html" %}
{% block content %}

<!-- user_login_page -->

<div class="card">
  <div class="card-body">
    <h1 class="display-6 mt-3">{{ _("Login to your account") }}</h1>
    <form class="mt-4" action="{{ url_for('user_bp.login') }}{%if token%}/{{token}}{%endif%}{%if next%}?next={{next}}{%endif%}" method="POST">
      {{ wtform.csrf_token }}
      <div class="form-floating mt-4">
        {{ wtform.username( class_="form-control",
                            placeholder=_('Username'))
        }}
        {{ wtform.username.label( for="username" ) }}
      </div>
      <div class="form-floating mt-4">
        {{ wtform.password( class_="form-control",
                            placeholder=_('Password'))
        }}
        {{ wtform.password.label( for="password" ) }}
      </div>
      <div class="d-grid my-4">
        <button class="btn btn-primary" type="submit">{{ _("Login") }}</button>
      </div>
    </form>
    <p class="mt-2 text-center">
    {% if not config['ENABLE_LDAP'] %}
      <small><a href="{{ url_for('site_bp.recover_password') }}">{{ _("Forgot your password?") }}</a></small>
    {% elif config['LDAP_RECOVER_PASSWD_URL'] %}
      <small><a href="{{config['LDAP_RECOVER_PASSWD_URL']}}">{{ _("Forgot your password?") }}</a></small>
    {% endif %}
    </p>
  </div>

  <div class="card-footer">
    <p class="mb-1">
      <small>
        <a href="/"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-chevron-left" aria-hidden="true"><polyline points="15 18 9 12 15 6"></polyline></svg>{{ _("Back to %(sitename)s", sitename=g.site.name) }}</a>
      </small>
    </p>
  </div>
</div>

{% endblock %}
